<?php
/**
 * Random image with fancy zoom
 *
 * @package 	Random image with fancy zoom
 * @subpackage 	mod_random_image_with_fancy_zoom
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license   	GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/08/random-image-with-fancy-zoom-joomla-module/
 */

defined('_JEXEC') or die;

if ( ! empty($images) ) 
{
	$width			= $params->get('width');
	
	$LiveSite 		= JURI::base() . "modules/mod_random_image_with_fancy_zoom/";
	
	$pickoneArray 	= array();
	$pickone 		= rand(0, count($images)-1);
	
	$pickoneArray[0] 			= new \stdClass;
	$pickoneArray[0]->name 		= $images[$pickone]->name;
	$pickoneArray[0]->folder 	= $images[$pickone]->folder . "\\";
	
	$folderlink = str_replace('\\','/', $pickoneArray[0]->folder);
	
	echo '<div>';
	echo '<a href="'.JURI::base().$folderlink . $pickoneArray[0]->name .'" rel="fancyzoom">';
	echo '<img src="'.$LiveSite.'crop-random-image.php?AC=YES&DIR='.$pickoneArray[0]->folder.'&IMGNAME='.$pickoneArray[0]->name.'&MAXWIDTH='.$width.'"> ';
	echo '</a>';
	echo '</div>';
	?>
	<script language="javascript">setupZoom();</script>
	<?php
}
?>
